<?php

/*
 * download.php
 *
 * PHP Based iTunes Library Browser
 * Copyright (C) 2007-2009  Jason Barrie Morley
 * http://www.jbmorley.co.uk
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */
 
include("itunes.php");

// constants are useful
define("BUFFER",4096);

// big files could take a long time :-)
set_time_limit(0);

itunes_connect();
itunes_initialize();

$track = itunes_get_track($_GET['id']);

// Read the file and output it.
header("Content-Disposition: attachment; filename=\"".$track['location']."\""); 
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");
header("Content-Description: File Transfer 2.0 with one eye");             
header("Content-Length: " . filesize($track['location']));

$handle = fopen($track['location'], "rb");
while (!feof($handle))
	{
	print fread($handle, BUFFER);
	//flush everything mum.
	flush();
	ob_flush();
	}
fclose($handle);

itunes_disconnect();
 
?>