<?php

/*
 * music.php
 *
 * PHP Based iTunes Library Browser
 * Copyright (C) 2007-2009  Jason Barrie Morley
 * http://www.jbmorley.co.uk
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

include("itunes.php");

itunes_connect();
itunes_initialize();
	
$sql = "SELECT * FROM music ";

$conditions = array();

# Page.
$page = 0;
if (array_key_exists("page", $_GET))
	{
	$page = 30 * mysql_real_escape_string($_GET["page"]);
	}

# Search.
if (array_key_exists("search", $_GET))
	{
	$search = mysql_real_escape_string($_GET['search']);
	array_push($conditions, "(artist LIKE '%".$search."%' OR album LIKE '%".$search."%' OR name LIKE '%".$search."%')");
	}
	
# Type.
if (array_key_exists("type", $_GET))
	{
	$type = mysql_real_escape_string($_GET['type']);
	array_push($conditions, "type LIKE '%".$type."%'");
	}
else
	{
	array_push($conditions, "type LIKE '%Music%'");	
	}

if (count($conditions) > 0) {
	$sql .= "WHERE ";
	$sql .= implode(" AND ", $conditions);
}
	
$sql .= " LIMIT 30 OFFSET ".$page.";";

$result = mysql_query($sql);

$tracks = array();
for($i = 0; $i < mysql_num_rows($result); $i++) {

	$track =
		array
			(
			"id"       => mysql_result($result, $i, 'id'),
			"name"     => mysql_result($result, $i, 'name'),
			"artist"   => mysql_result($result, $i, 'artist'),
			"album"    => mysql_result($result, $i, 'album'),
			"genre"    => mysql_result($result, $i, 'genre'),
			"type"     => mysql_result($result, $i, 'type'),
			"rating"   => mysql_result($result, $i, 'rating'),
			"location" => mysql_result($result, $i, 'location')
			);
	
	array_push($tracks, $track);
		
}
print json_encode($tracks);

itunes_disconnect();

?>