<?php

/*
 * settings_example.php
 *
 * PHP Based iTunes Library Browser
 * Copyright (C) 2007-2009  Jason Barrie Morley
 * http://www.jbmorley.co.uk
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

global $databaseUser, $databasePass, $databaseName, $databaseHost, $iTunesXML;

// Settings.

/*
 * MySQL Username
 * 
 */
$databaseUser = "username";

/*
 * MySQL Password
 *
 */
$databasePass = "password";

/*
 * MySQL Database
 *
 */
$databaseName = "itunes";

/*
 * MySQL Host
 *
 * Server name and, optionally, port.
 * e.g.
 *     localhost               (Default Port)
 *     localhost:8889          (Port 8889)
 *     sql.jbmorley.co.uk      (Default Port)
 *     sql.jbmorley.co.uk:245  (Port 245)
 * 
 * Only change this if your MySQL server is different form your webserver.
 *
 */
$databaseHost   = "localhost";

/*
 * iTunes Library File
 *
 * The path to your iTunes Library.xml file.
 *
 * If you intend to place the Library.xml file into this installation
 * directory, it is safe to merely name your XML file 'Library.xml' and
 * leave this unchanged.
 *
 * If you plan to host your Library.xml file elsewhere, you may wish to
 * use an absolute path.  For example, if you wished to install this locally
 * on a Mac, you might wish to use your iTunes Library file directly by
 * providing the following path:
 *
 *     "/Users/<short_user_name>/Music/iTunes/iTunes Music Library.xml"
 *
 */
$iTunesXML = "Library.xml";

/*
 * iTunes Music Folder
 *
 * The location of your current iTunes Music folder.
 *
 * On most Mac systems this is:
 *
 *     "/Users/<short_user_name>/Music/iTunes/iTunes Music"
 *
 * Uncomment this if you wish to use this in a local library
 * configuration.
 *
 */
// $iTunesMusic = "";

?>